Skip to content

Given a Person or Organization mapped to OpenData Clinical, retrieves contact information associated with the Investigator Site record.

This API returns a maximum of 100 records. If there are more than 100 records to return, Vault truncates records beyond 100 in the returned response. To retrieve more than 100 records, use Direct Data API.

GET/api/{version}/app/clinical/opendata/{object_name}/{record_id}/affiliations
NameDescription
Acceptapplication/json (default) or text/csv
NameDescription
{object_name}The name of the object to merge. Possible values are person__sys, organization__v, location__v, and contact_information__clin.
{record_id}The ID of the person__sys or organization__v record.
curl --location 'https://myvault.veevavault.com/api/v26.1/app/clinical/opendata/person__sys/V0B000000006002/affiliations' \ --header 'Accept: application/json' \ --header 'Authorization: {SESSION_ID}' \
{ "responseStatus": "SUCCESS", "responseMessage": "Success", "responseDetails": { "size": 1, "total": 1 }, "data": [ { "contact_information": "OOU000000006005", "hco_opendata_id": "65c467c1a76607ca06e84145", "hcp_opendata_id": "V01243147864098735105", "organization_name": "School of Medicine", "customer_primary": true, "is_primary": true, "first_name": "Ashley", "middle_name": "Kiki", "last_name": "Terry", "suffix": null, "address_line_1": "132 My Street", "address_line_2": null, "city": "Kingston", "state": "us-ny", "country": "us", "email": "ashterry@veepharm.edu", "office_phone": null } ] }

On SUCCESS, the response contains information about the Person or Organization mapped to OpenData Clinical.

NameDescription
sizeThe total number of affiliated records returned in the response. Records beyond 100 are truncated. To retrieve more than 100 records, use Direct Data API.
totalThe total number of affiliated records for the given HCP or HCO.
contact_informationThe record ID of the contact_information__clin record whose combination of hcp_opendata_id__v and hco_opendata_id__v match that of the investigator_site record for this entry. Blank value indicates that there is not a contact_information__clin in the Vault for this combination.
customer_primaryThis value is true if the contact_information__clin is of object type person_linked_contact_information__v, false if not this type, and null if there is no corresponding contact_information__clin record.
hco_opendata_idThe hco_opendata_id value for the given investigator_site record.
hcp_opendata_idThe hcp_opendata_id value for the given investigator_site record.
organization_nameName of the associated site matching the hco_opendata_id.
first_nameThe first name of the associated investigator matching the hcp_opendata_id.
middle_nameThe middle name of the associated investigator matching the hcp_opendata_id.
last_nameThe last name of the associated investigator matching the hcp_opendata_id.
suffixThe suffix of the associated investigator in the pod database the provided matching the hcp_opendata_id.
is_primaryThe is_primary value for the given investigator_site record.
address_line_1The address_line_1 value for the given investigator_site record.
address_line_2The address_line_2 value for the given investigator_site record.
cityThe city value for the given investigator_site record.
stateThe state value for the given investigator_site record.
countryThe country value for the given investigator_site record.
emailThe email value for the given investigator_site record.
office_phoneThe office_phone value for the given investigator_site record.